package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.common.entity.BaseEntity;

/**
 * 视频课购买记录表
 * @author yzp
 * @date 2022-03-25 23:46:29
 * @version v1.0
 **/
@ApiModel(value = "video_lesson_purchase_record-视频课购买记录表")
public class VideoLessonPurchaseRecord extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("video_lesson_group_id_")
    @ApiModelProperty(value = "视频课组ID")
    private Long videoLessonGroupId;  //视频课组ID

    @TableField("student_id_")
    @ApiModelProperty(value = "学生ID")
    private Long studentId;  //学生ID

    @TableField("purchase_time_")
    @ApiModelProperty(value = "购买时间")
    private java.util.Date purchaseTime;

	@TableField("original_price_")
	@ApiModelProperty(value = "原价")
	private BigDecimal originalPrice;

	@TableField("expect_price_")
	@ApiModelProperty(value = "预计价格")
	private BigDecimal expectPrice;

    @TableField("pay_money_")
    @ApiModelProperty(value = "支付金额")
    private BigDecimal payMoney;

    @TableField("order_no_")
    @ApiModelProperty(value = "订单流水号")
    private String orderNo;

    @TableField("order_status_")
    @ApiModelProperty(value = "订单状态(WAIT_PAY待支付,PAYING支付中,PAID已付款,CLOSE已关闭,FAIL支付失败)")
    private String orderStatus;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getVideoLessonGroupId() {
		return videoLessonGroupId;
	}

	public void setVideoLessonGroupId(Long videoLessonGroupId) {
		this.videoLessonGroupId = videoLessonGroupId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Date getPurchaseTime() {
		return purchaseTime;
	}

	public void setPurchaseTime(Date purchaseTime) {
		this.purchaseTime = purchaseTime;
	}

	public BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	}

	public BigDecimal getExpectPrice() {
		return expectPrice;
	}

	public void setExpectPrice(BigDecimal expectPrice) {
		this.expectPrice = expectPrice;
	}

	public BigDecimal getPayMoney() {
		return payMoney;
	}

	public void setPayMoney(BigDecimal payMoney) {
		this.payMoney = payMoney;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(String orderStatus) {
		this.orderStatus = orderStatus;
	}
}